- job:
    name: oslo.messaging-tox-py38-func-scenario01
    parent: openstack-tox-py38
    vars:
      tox_envlist: py38-func-scenario01
      bindep_profile: rabbit

- job:
    name: oslo.messaging-tox-py38-func-scenario02
    parent: openstack-tox-py38
    vars:
      tox_envlist: py38-func-scenario02
      bindep_profile: rabbit kafka amqp1

- job:
    name: oslo.messaging-tox-py38-func-scenario03
    parent: openstack-tox-py38
    vars:
      tox_envlist: py38-func-scenario03
      bindep_profile: rabbit amqp1

- job:
    name: oslo.messaging-tox-py38-func-scenario04
    parent: openstack-tox-py38
    vars:
      tox_envlist: py38-func-scenario04
      bindep_profile: kafka amqp1

# Begin v3 native jobs
# See https://docs.openstack.org/devstack/latest/


- job:
    name: oslo.messaging-devstack-tempest-full-base
    description: |
      Base for all devstack based tempest full testing jobs (with
      neutron)
    abstract: true
    parent: devstack-tempest
    timeout: 10800
    required-projects:
      - openstack/oslo.messaging
    vars:
      tox_envlist: full


- job:
    name: oslo.messaging-src-dsvm-full-rabbit
    description: |
      Run full tempest tests against rabbitmq
    parent: oslo.messaging-devstack-tempest-full-base


- job:
    name: oslo.messaging-src-dsvm-full-amqp1-hybrid
    description: |
      Run the full tempest tests using the AMQP 1.0 driver for RPC and
      RabbitMQ for Notifications.
    parent: oslo.messaging-devstack-tempest-full-base
    required-projects:
      - openstack/devstack-plugin-amqp1
    vars:
      devstack_localrc:
        AMQP1_SERVICE: qpid-hybrid
      devstack_plugins:
        devstack-plugin-amqp1: https://opendev.org/openstack/devstack-plugin-amqp1
      zuul_copy_output:
        '{{ devstack_log_dir }}/qdrouterd.log': logs


- job:
    name: oslo.messaging-src-dsvm-full-kafka-hybrid
    description: |
      Run the full tempest tests using the AMQP 1.0 driver for RPC and
      Apache Kafka for Notifications.
    parent: oslo.messaging-devstack-tempest-full-base
    required-projects:
      - openstack/devstack-plugin-kafka
    vars:
      devstack_plugins:
        devstack-plugin-kafka: https://opendev.org/openstack/devstack-plugin-kafka
      zuul_copy_output:
        '{{ devstack_log_dir }}/server.log': logs

- job:
    name: oslo.messaging-grenade
    parent: grenade
    timeout: 10800
    required-projects:
      - openstack/oslo.messaging
    irrelevant-files:
      - ^(test-|)requirements.txt$
      - ^setup.cfg$

- job:
    name: oslo.messaging-grenade-multinode
    parent: grenade-multinode
    timeout: 10800
    required-projects:
      - openstack/oslo.messaging
    irrelevant-files:
      - ^(test-|)requirements.txt$
      - ^setup.cfg$


- project:
    templates:
      - check-requirements
      - lib-forward-testing-python3
      - openstack-cover-jobs
      - openstack-python3-zed-jobs
      - periodic-stable-jobs
      - publish-openstack-docs-pti
      - release-notes-jobs-python3
    check:
      jobs:
        - oslo.messaging-tox-py38-func-scenario01
        - oslo.messaging-tox-py38-func-scenario02:
            voting: false
        - oslo.messaging-tox-py38-func-scenario03:
            voting: false
        - oslo.messaging-tox-py38-func-scenario04:
            voting: false
        - oslo.messaging-src-dsvm-full-rabbit
        - oslo.messaging-src-dsvm-full-amqp1-hybrid:
            voting: false
        - oslo.messaging-src-dsvm-full-kafka-hybrid:
            voting: false
        - oslo.messaging-grenade:
            voting: false
        - oslo.messaging-grenade-multinode:
            voting: false

    gate:
      jobs:
        - oslo.messaging-tox-py38-func-scenario01
        - oslo.messaging-src-dsvm-full-rabbit
